View Issue Details

IDProjectCategoryView StatusLast Update
0020711mantisbtbugtrackerpublic2016-06-12 00:42
ReportervboctorAssigned Tocommunity 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.3.0-rc.1 
Target Version1.3.0-rc.2Fixed in Version1.3.0-rc.2 
Summary0020711: Support default due date for submitted issues
Description

Support due dates like 'now', '+2 days', or '' (no date) via configuration option. The due date should be set whether or not the submitted has access to view / update the due date.

TagsNo tags attached.

Relationships

related to 0012522 closedcommunity Set duedate automatically 

Activities

Related Changesets

MantisBT: master 3d65134a

2016-03-17 02:39:53

luke


Committer: dregad Details Diff
Support default value for due date

Access check for CSV/Excel export when displaying due date, and handling
null due date in CSV/Excel. Update manual for due date configs.

Fixes 0020710, 0020711, 0020712

Signed-off-by: Damien Regad <dregad@mantisbt.org>

Reformatted original commit message, added issues references.
Squashed changes from follow-up commit in pull request.
mod - bug_report_page.php Diff File
mod - config_defaults_inc.php Diff File
mod - core/csv_api.php Diff File
mod - core/excel_api.php Diff File
mod - docbook/Admin_Guide/en-US/Configuration.xml Diff File
add - docbook/Admin_Guide/en-US/config/duedate.xml Diff File

Issue History

Date Modified Username Field Change
2016-03-17 03:30 vboctor New Issue
2016-03-17 03:30 vboctor Status new => assigned
2016-03-17 03:30 vboctor Assigned To => community
2016-03-17 03:31 vboctor Relationship added related to 0012522
2016-03-17 03:31 vboctor Note Added: 0052790
2016-03-17 07:09 dregad Severity minor => feature
2016-03-19 17:27 dregad Changeset attached => MantisBT master 3d65134a
2016-03-19 17:27 dregad Assigned To community => dregad
2016-03-19 17:27 dregad Status assigned => resolved
2016-03-19 17:27 dregad Resolution open => fixed
2016-03-19 17:27 dregad Fixed in Version => 1.3.0-rc.2
2016-03-20 12:32 vboctor Assigned To dregad => community
2016-06-12 00:42 vboctor Status resolved => closed